package cn.com.qmth.print.manage.dao;

import java.util.List;

import cn.com.qmth.print.manage.entity.ExamEntity;
import cn.com.qmth.print.manage.service.query.ExamQuery;
import cn.com.qmth.print.manage.vo.ExamVo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import org.apache.ibatis.annotations.Param;

public interface ExamDao extends BaseMapper<ExamEntity> {

    IPage<ExamVo> pageExam(Page<ExamVo> page, @Param("query") ExamQuery query);

    List<ExamEntity> listByUserId(@Param("userId") Long userId);
}
