package cn.com.qmth.print.manage.dao;

import cn.com.qmth.print.manage.dto.ExamStudentExportDTO;
import cn.com.qmth.print.manage.entity.ExamStudentEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExamStudentDao extends BaseMapper<ExamStudentEntity> {

    /**
     * 查询云阅卷考生导出数据
     *
     * @param examId 考试id
     * @return 考生导出dto
     */
    List<ExamStudentExportDTO> findExportData(@Param("examId") Long examId);
}
