package cn.com.qmth.print.manage.service;

import java.util.List;

import cn.com.qmth.print.manage.entity.BreakRecordEntity;
import cn.com.qmth.print.manage.enums.RecordStatus;
import cn.com.qmth.print.manage.service.query.RecordQuery;
import cn.com.qmth.print.manage.vo.BreakRecordVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

public interface BreakRecordService extends IService<BreakRecordEntity> {

    BreakRecordVo start(Long userId, Long examId, String startNumber);

    BreakRecordVo end(Long id, Long userId, Long examId, String endNumber);

    IPage<BreakRecordEntity> pageQuery(RecordQuery query);

    List<BreakRecordEntity> listByExamId(Long examId);

    void deleteByExamId(Long examId);

    BreakRecordVo findOne(Long id, String examNumber);

    BreakRecordEntity findByExamIdAndStartNumberAndStatus(Long examId, String startNumber, RecordStatus status);
}
