package cn.com.qmth.print.manage.dto;

import cn.com.qmth.print.manage.utils.excel.ExcelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class StudentDTO implements Serializable {

    private static final long serialVersionUID = -4556126416794102992L;

    @ExcelProperty(index = 1, name = "准考证号", type = 2)
    @NotNull
    private String examNumber;

    @ExcelProperty(index = 2, name = "学号", type = 2)
    @NotNull
    private String studentCode;

    @ExcelProperty(index = 3, name = "姓名", type = 2)
    @NotNull
    private String name;

    @ExcelProperty(index = 4, name = "科目代码", type = 2)
    @NotNull
    private String courseCode;

    @ExcelProperty(index = 5, name = "科目名称", type = 2)
    @NotNull
    private String courseName;

    @ExcelProperty(index = 6, name = "考点代码", type = 2)
    private String examSite;

    @ExcelProperty(index = 7, name = "考场", type = 2)
    private String examRoom;

    @ExcelProperty(index = 8, name = "考试单元", type = 2)
    private String examUnit;

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getExamUnit() {
        return examUnit;
    }

    public void setExamUnit(String examUnit) {
        this.examUnit = examUnit;
    }
}
