package cn.com.qmth.print.manage.entity;

import cn.com.qmth.print.manage.entity.base.AuditingEntity;
import cn.com.qmth.print.manage.enums.CheckSort;
import cn.com.qmth.print.manage.enums.GroupType;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.List;

@TableName("pm_exam")
public class ExamEntity extends AuditingEntity {

    private static final long serialVersionUID = 3129492817136391516L;

    private Long orgId;

    private String name;

    private Boolean enable;

    private GroupType groupType;

    private CheckSort checkSort;

    @TableField(exist = false)
    private String userIds;

    @TableField(exist = false)
    private String orgName;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public CheckSort getCheckSort() {
        return checkSort;
    }

    public void setCheckSort(CheckSort checkSort) {
        this.checkSort = checkSort;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
