package cn.com.qmth.print.manage.entity;

import cn.com.qmth.print.manage.entity.base.AuditingWithoutIdEntity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

@TableName("pm_exam_student")
public class ExamStudentEntity extends AuditingWithoutIdEntity {

    private static final long serialVersionUID = -5806987133695004969L;

    private Long orgId;

    private Long examId;

    private Long sortNo;

    private String courseCode;

    private String name;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("准考证号")
    private String examNumber;

    /**
     * 考生考点信息
     */
    private String examSite;

    /**
     * 考生考场信息
     */
    private String examRoom;

    @ApiModelProperty("考试单元")
    private String examUnit;

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public Long getSortNo() {
        return sortNo;
    }

    public void setSortNo(Long sortNo) {
        this.sortNo = sortNo;
    }

    public String getExamUnit() {
        return examUnit;
    }

    public void setExamUnit(String examUnit) {
        this.examUnit = examUnit;
    }
}
