package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.OrgEntity;

import cn.com.qmth.print.manage.service.query.OrgQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface OrgService extends IService<OrgEntity> {

    IPage<OrgEntity> pageQuery(OrgQuery query);

    List<OrgEntity> listByEnable();

    void pull();

    /**
     * 根据机构编号查询机构
     * @param code 机构编号
     * @return 机构信息
     */
    OrgEntity findByCode(String code);
}
