package cn.com.qmth.print.manage.vo;

import cn.com.qmth.print.manage.entity.ExamEntity;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class ExamVo extends ExamEntity {

    private String orgName;

    private int studentCount;

    private int checkCount;

    private int checkNormalLCount;

    private int checkErrorCount;

    private int breakCount;

    private int breakNormalLCount;

    @ApiModelProperty("进度（checkNormalLCount/checkCount 保留两位小数）")
    private BigDecimal progress;

    @ApiModelProperty("印点负责人id(创建人id)")
    private String printLeaderId;

    @ApiModelProperty("印点负责人名称")
    private String printLeaderName;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public int getCheckCount() {
        return checkCount;
    }

    public void setCheckCount(int checkCount) {
        this.checkCount = checkCount;
    }

    public int getCheckNormalLCount() {
        return checkNormalLCount;
    }

    public void setCheckNormalLCount(int checkNormalLCount) {
        this.checkNormalLCount = checkNormalLCount;
    }

    public int getCheckErrorCount() {
        return checkErrorCount;
    }

    public void setCheckErrorCount(int checkErrorCount) {
        this.checkErrorCount = checkErrorCount;
    }

    public int getBreakCount() {
        return breakCount;
    }

    public void setBreakCount(int breakCount) {
        this.breakCount = breakCount;
    }

    public int getBreakNormalLCount() {
        return breakNormalLCount;
    }

    public void setBreakNormalLCount(int breakNormalLCount) {
        this.breakNormalLCount = breakNormalLCount;
    }

    public BigDecimal getProgress() {
        return progress;
    }

    public void setProgress(BigDecimal progress) {
        this.progress = progress;
    }

    public String getPrintLeaderId() {
        return printLeaderId;
    }

    public void setPrintLeaderId(String printLeaderId) {
        this.printLeaderId = printLeaderId;
    }

    public String getPrintLeaderName() {
        return printLeaderName;
    }

    public void setPrintLeaderName(String printLeaderName) {
        this.printLeaderName = printLeaderName;
    }
}
